%global srcname winrm

Name:           python-%{srcname}
Version:        0.4.3
Release:    1%{?dist}
Summary:        Python libraries for interacting with windows remote management

License:        MIT
URL:            https://pypi.python.org/pypi/pywinrm
Source0:        https://github.com/diyan/pywinrm/archive/v%{version}/%{srcname}-%{version}.tar.gz
Patch0:         python-winrm-mock.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(xmltodict)
BuildRequires:  python3dist(requests) >= 2.9.1
BuildRequires:  python3dist(requests-ntlm) >= 0.3
BuildRequires:  python3dist(six)

%global _description %{expand:
This has the python libraries for interacting with Windows Remote Management.}

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %{_description}

Python 3 version.

%prep
%autosetup -p1 -n pywinrm-%{version}

%build
%py3_build

%install
%py3_install

%check
%python3 -m pytest -vv winrm/tests

%files -n python3-%{srcname}
%license LICENSE
%doc README.md CHANGELOG.md
%{python3_sitelib}/pywinrm-*.egg-info/
%{python3_sitelib}/winrm/

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.3-1
- initial build
